## Windows updater issues

The last few versions of XPipe from 1.7.16 to 8.0.1 all had a self-updater on Windows that was not working properly. This was caused by a newly introduced JDK bug. This is now fixed from 8.0.2 onwards.

To upgrade to 8.0.2+, you have to do it manually by downloading and installing it from https://github.com/xpipe-io/xpipe/releases. There shouldn't be any more problems with 8.0.2+ after that.

This also fixes opened terminal windows closing down when XPipe is closed on Windows. They will now stay open.

## Git Vault Versioning

When upgrading XPipe versions across many systems, one problem could have been the git vault format being updated on one system and being pulled on another a system that is running an older version. This could have led to data corruption. From now on, there will be a warning shown when the versions do not match up. From there you can choose to temporarily disable the git vault during a session until you upgrade to the matching version on that system as well.

If this problem already happened to you, you should be able to reset the git repository to an older ref.

## Filtering for hosts

You can now search for IPs and hostnames in addition to the connection names to filter your connection list. The connection a display when a filter is active has also been improved.

## Other changes

- Fix fallback shell action throwing some errors initially
- Properly set TERM variable for powershell environments
- Fix concurrency issues when querying multiple secrets at the same time
- Fix some null pointers